> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial update reference query

> Update specific fields of a reference query.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ patch /api/v1/reference-queries/{id}/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/reference-queries/{id}/:
    patch:
      tags:
        - reference-queries
      summary: Partial update reference query
      description: Update specific fields of a reference query.
      operationId: reference_queries_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedReferenceQueryModelRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferenceQueryModel'
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PatchedReferenceQueryModelRequest:
      type: object
      description: Serializer for Reference Query model instances.
      properties:
        query:
          type: string
          minLength: 1
        title:
          type: string
          nullable: true
        connection_id:
          type: integer
          description: Connection ID this query applies to
        source_type:
          enum:
            - USER
            - AI
            - TABLE
            - ''
            - null
          type: string
          description: |-
            * `USER` - User Provided
            * `AI` - AI Generated
            * `TABLE` - Table
          x-spec-enum-id: d2df6dee60f5d4fd
          nullable: true
    ReferenceQueryModel:
      type: object
      description: Serializer for Reference Query model instances.
      properties:
        id:
          type: integer
          readOnly: true
        query:
          type: string
        title:
          type: string
          nullable: true
        detailed_description:
          type: string
          readOnly: true
          nullable: true
        connection_id:
          type: integer
          description: Connection ID this query applies to
        source_type:
          enum:
            - USER
            - AI
            - TABLE
            - ''
            - null
          type: string
          description: |-
            * `USER` - User Provided
            * `AI` - AI Generated
            * `TABLE` - Table
          x-spec-enum-id: d2df6dee60f5d4fd
          nullable: true
        status:
          enum:
            - PROCESSING
            - ERROR
            - VALID
            - TEMPORARY
          type: string
          description: |-
            * `PROCESSING` - Processing
            * `ERROR` - Error
            * `VALID` - Valid
            * `TEMPORARY` - Temporary
          x-spec-enum-id: 134a4de492967e61
          readOnly: true
        error_message:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified:
          type: string
          format: date-time
          readOnly: true
      required:
        - connection_id
        - created_at
        - detailed_description
        - error_message
        - id
        - last_modified
        - query
        - status
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````